Bug 1501144 - By polling the hrStorage objects on machine with autofs, Intermittent snmp connection problem happens and snmpwalk get a timeout.
Summary: By polling the hrStorage objects on machine with autofs, Intermittent snmp co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp
Version: 7.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 1420851 1442779
TreeView+ depends on / blocked
 
Reported: 2017-10-12 07:14 UTC by Masahiro Matsuya
Modified: 2019-07-01 21:12 UTC (History)
6 users (show)

Fixed In Version: net-snmp-5.7.2-29.el7
Doc Type: Enhancement
Doc Text:
Feature: AutoFs entries from /etc/mtab are now skipped by default for HOST-RESOURCES-MIB OIDs. Reason: Machine with many autofs entiries in /etc/mtab spends took much time to finish statfs() for those autofs ones. While it's doing statfs(), it could not respond any query from snmp clients. Result: AutoFs entries from /etc/mtab are now ignored by snmpd and snmp client.
Clone Of:
Environment:
Last Closed: 2018-04-10 17:55:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1314610 None ON_QA snmpd complaining twice "Cannot statfs net:[********]#***: No such file or directory" every 10 minutes 2019-06-26 13:05:44 UTC
Red Hat Knowledge Base (Solution) 3226421 None None None 2017-10-31 22:26:30 UTC
Red Hat Product Errata RHBA-2018:0956 None None None 2018-04-10 17:56:25 UTC

Internal Links: 1314610

Comment 26 errata-xmlrpc 2018-04-10 17:55:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0956


Note You need to log in before you can comment on or make changes to this bug.